> For the complete documentation index, see [llms.txt](https://docs.pentaho.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pentaho.com/install/10.2-install/pentaho-installation-overview-cp/acquire-and-install-enterprise-licenses/install-and-manage-a-local-license-server/activate-offline-entitlements-for-a-local-license-server.md).

# Activate offline entitlements for a local license server

If your environment has a security restriction that prevents the license server from reaching the back office URL, you can use this procedure to activate your offline entitlements.

1. Obtain the activation ID from the sales support team.
2. Create a request file (`capabilityRequest.bin`) to activate granted entitlements by executing the following command on your local license server:

   ```
   cd /<destination_folder>/enterprise-local-license-server/enterprise

   # Linux:
   ./flexnetlsadmin.sh -server http://<license_server_ip_address>:7070/api/1.0/instances/~ -authorize admin Password!01 -activate -id <activation_id> -count <no_of_entitlements_you_want_to_activate> -o capabilityRequest.bin 

   # Windows:
   ./flexnetlsadmin.bat -server http://<license_server_ip_address>:7070/api/1.0/instances/~ -authorize admin Password!01 -activate -id <activation_id> -count <no_of_entitlements_you_want_to_activate> -o capabilityRequest.bin
   ```

   A `capabilityRequest.bin` file is generated in the directory where you ran the command.
3. Send the `capabilityRequest.bin` file to Pentaho customer support.

   Customer support generates a `capabilityResponse.bin` file and sends it to you.
4. Load the `capabilityResponse.bin` file to the local license server using the following command:

   Linux:

   ```
   ./flexnetlsadmin.sh -server http://<license_server_ip_address>:7070/api/1.0/instances/~ -authorize admin Password\!01 -activate -load capabilityResponse.bin
   ```

   Windows:

   ```
   ./flexnetlsadmin.bat -server http://<license_server_ip_address>:7070/api/1.0/instances/~ -authorize admin Password\!01 -activate -load capabilityResponse.bin
   ```
5. Check which licenses have been activated using the following command:

   ```
   ./flexnetlsadmin.sh -authorize admin <*password*> -server <http://<*server\_ip\_address*>:7070/api/1.0/instances/~> -licenses -verbose
   ```

Your entitlements are now activated on the local license server.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pentaho.com/install/10.2-install/pentaho-installation-overview-cp/acquire-and-install-enterprise-licenses/install-and-manage-a-local-license-server/activate-offline-entitlements-for-a-local-license-server.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
